// Generated by CoffeeScript 2.2.4
// seriously = new Seriously()
// seriously.set
// # seriously = new Seriously()
// vidL = seriously.source("#vidLeft")
// vidR = seriously.source("#vidRight")
// targetL = seriously.target('#left', allowSecondaryWebGL : true)
// targetR = seriously.target('#right', allowSecondaryWebGL : true)
// # chroma = new seriously.effect "chroma"
// # chroma.source = video
// # crop = new seriously.effect "crop"
// # crop.source = video

// transformL = seriously.transform('2d')
// transformL.rotation = 90
// transformL.scale(0.45, 0.14)
// transformL.source = vidR

// transformR = seriously.transform('2d')
// transformR.rotation = 90
// transformR.scale(0.45, 0.14)
// transformR.source = vidL

// targetR.source = transformR
// targetL.source = transformL

// seriously.go()
// para = 
//   scaleX : 0.457
//   scaleY : 0.143

// gui = new dat.GUI(autoPlace:false)
// $("#gui").append gui.domElement
// refreshScale = () ->
//   transformL.scale(para.scaleX, para.scaleY)
//   transformR.scale(para.scaleX, para.scaleY)

// gui.add(para, "scaleX", 0, 1).step(0.001).onChange refreshScale
// gui.add(para, "scaleY", 0, 1).step(0.001).onChange refreshScale

// seriously = new Seriously()
// source = seriously.source("#defaultCanvas0")
// chroma = new seriously.effect "chroma"
// target = seriously.target('#output')
// chroma.source = source
// target.source = chroma
// seriously.go()


//# sourceMappingURL=seriously.js.map
